---
inputType: "CA10__CaAzureStorageAccount__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAzureStorageAccount__c/object.extracts.yaml"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "Public Network Access is enabled."
    remediationMessage: "Consider disabling Public Network Access."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__publicNetworkAccessState__c"
        right:
          TEXT: "Enabled"
  - status: "COMPLIANT"
    currentStateMessage: "Public Network Access is disabled."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__publicNetworkAccessState__c"
        right:
          TEXT: "Disabled"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected value in the field."
